import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _ISyncFiltering } from "./ISyncFiltering.js";
export declare class _ISyncFilter extends _NSObject {
    static alloc(): _ISyncFilter;
    static new(): _ISyncFilter;
    init(): _ISyncFilter;
    /**
     * logical AND
     * @deprecated
     */
    static filterMatchingAllFilters$(filters: _NSArray): _ISyncFiltering;
    /**
     * logical OR
     * @deprecated
     */
    static filterMatchingAtLeastOneFilter$(filters: _NSArray): _ISyncFiltering;
}
